declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
use Gr4vy\Auth;
$privateKey = "...";
$sdk = Gr4vy\SDK::builder()
-\u003esetId('mattilda')
-\u003esetServer('sandbox')
-\u003esetSecuritySource(Auth::withToken($privateKey))
-\u003esetMerchantAccountId('default')
-\u003ebuild();
$request = new Gr4vy\ListPaymentMethodsRequest();
$responses = $sdk->paymentMethods->list(
request: $request
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}
from gr4vy import Gr4vy, auth
import os
with Gr4vy(
id="mattilda",
server="production",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_methods.list(limit=20)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
server: "sandbox",
id: "mattilda",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentMethods.list();
for await (const page of result) {
console.log(page);
}
}
run();
declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
use Gr4vy\Auth;
$privateKey = "...";
$sdk = Gr4vy\SDK::builder()
-\u003esetId('mattilda')
-\u003esetServer('sandbox')
-\u003esetSecuritySource(Auth::withToken($privateKey))
-\u003esetMerchantAccountId('default')
-\u003ebuild();
$request = new Gr4vy\ListPaymentMethodsRequest();
$responses = $sdk->paymentMethods->list(
request: $request
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}
from gr4vy import Gr4vy, auth
import os
with Gr4vy(
id="mattilda",
server="production",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_methods.list(limit=20)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
server: "sandbox",
id: "mattilda",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentMethods.list();
for await (const page of result) {
console.log(page);
}
}
run();
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"mattilda Pay","colors":{"primary":"#0069ED","light":"#4D9CFF","dark":"#0050B4"},"logo":{"light":"https://mintcdn.com/mattilda/yVMPq-_dro0vSEiX/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=yVMPq-_dro0vSEiX\u0026q=85\u0026s=ebe404856efad414fe0e5816e122fbf3","dark":"https://mintcdn.com/mattilda/yVMPq-_dro0vSEiX/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=yVMPq-_dro0vSEiX\u0026q=85\u0026s=5064d58e92f6cf9e1b73945b8043e745"},"favicon":"https://mintcdn.com/mattilda/NYRslQ0epuL-JaEH/assets/favicon.png?fit=max\u0026auto=format\u0026n=NYRslQ0epuL-JaEH\u0026q=85\u0026s=0b246d2ab24fa7d49ab657027a1a4bf8","api":{"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","typescript"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.mattildapayments.com","https://api.mattildapayments.com"]}},"navbar":{"links":[{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"mattilda Pay","href":"https://mattildapay.com"}},"footer":{"socials":{"website":"https://mattildapay.com","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/mattilda.io"}},"styling":{"eyebrows":"breadcrumbs","codeblocks":"dark","latex":true},"integrations":{"intercom":{"appId":"bp5sj6z7"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mattilda","hasAudioNarration":false,"actualSubdomain":"mattilda","customDomains":["docs.mattildapayments.com"],"gitSource":{"type":"github","owner":"mattilda-education","repo":"gr4vy-docs-mintlify","deployBranch":"mattilda_pay","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad7fc40b86df1a05c8ecc42","collectionId":"46b32a21-1651-4bba-87de-5045c78e185e","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad7fc40b86df1a05c8ecc42"},"feedback":{"thumbs":true,"edits":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"WEB_MCP":{"status":"DISABLED"},"NARRATION":{"status":"DISABLED"}},"buildId":"6ad7fc40b86df1a05c8ecc42","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Payments","count":133},{"language":"default","tag":"API Reference","count":80},{"language":"default","tag":"Integration","count":69},{"language":"default","tag":"Features","count":47},{"language":"default","tag":"Quick start","count":32},{"language":"default","tag":"Vault","count":18},{"language":"default","tag":"E-commerce Plugins","count":15},{"language":"default","tag":"Embed","count":13},{"language":"default","tag":"Other","count":12},{"language":"default","tag":"Network tokens","count":11}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:#fff!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:.1em}"}],"page":{"pagePath":"reference/payment-methods/list-payment-methods","slug":"/reference/payment-methods/list-payment-methods","pageMetadata":{"openapi":"/openapi.speakeasy.json GET /payment-methods","title":"List all payment methods","description":"List all stored payment method.","href":"/reference/payment-methods/list-payment-methods"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List all stored payment method.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`payment-methods.read`}),` scope.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"openapi":"/openapi.speakeasy.json GET /payment-methods","title":"List all payment methods","description":"List all stored payment method.","href":"/reference/payment-methods/list-payment-methods"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/mattilda/eb353c0e6fdb81a8/assets/data/payment-service-definitions.js"],"openApiReferenceData":{"operation":{"tags":["Payment methods"],"summary":"List all payment methods","description":"List all stored payment method.","operationId":"list_payment_methods","parameters":["82bad8d8-95cb-4090-9ebc-f89378656a81","6e8155e2-c09c-451f-a007-aded7e55d2de","d3f847e5-1647-4b85-b8b6-50f6ba6c92e6","272a9b17-399f-45f0-ad08-9669373e1e26","eb48a95c-6476-450e-9541-8cc97bdf6f3a","91806d2e-d084-43f8-8bc1-d73c8713fda0","b9311900-850e-483c-818d-306d453f1581"],"responses":{"200":"5a37b15f-c456-44ee-a836-8a3ca16e311a","400":"e618f45d-0763-4ae2-bd24-2905c67094b8","401":"6deab0b2-deea-4c75-9b45-0fc678cb23bc","403":"ec9145b0-6e9d-45e1-a06e-11f7a32e558e","404":"1ddf7a8d-643b-4895-9e28-b2728ea29d73","405":"25d22310-1d95-45ba-9a62-0c333824d9e9","409":"2870f2a6-a3a1-40b9-a6af-aa20e24e1614","422":"4f46c7ef-29cd-4f8a-8932-5305e9a6a3c3","425":"d8340b5a-59d0-41cf-8b17-92e8ce9c677b","429":"f18996a5-80b2-48b3-a46b-1e3bab544e5d","500":"92dabc32-f42b-4809-8a1c-4851575d6bf8","502":"fb64a5af-bf18-41e7-a616-963087e55290","504":"0b35abcd-5512-419c-82a7-07e09efd5ed3"},"x-speakeasy-name-override":"list","x-speakeasy-group":"payment-methods","x-speakeasy-pagination":{"type":"cursor","inputs":[{"name":"cursor","in":"parameters","type":"cursor"}],"outputs":{"nextCursor":"$.next_cursor"}},"x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"x-codeSamples":[{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"mattilda\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentMethodsRequest req = new ListPaymentMethodsRequest() {};\n\nListPaymentMethodsResponse? res = await sdk.PaymentMethods.ListAsync(req);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"},{"lang":"typescript","label":"Typescript","source":"import { Gr4vy } from \"@gr4vy/sdk\";\n\nconst gr4vy = new Gr4vy({\n server: \"sandbox\",\n id: \"mattilda\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentMethods.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy, auth\nimport os\n\n\nwith Gr4vy(\n id=\"mattilda\",\n server=\"production\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payment_methods.list(limit=20)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"os\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n privateKey := \"....\"\n\twithToken := gr4vy.WithToken(privateKey, []JWTScope{ReadAll, WriteAll}, 60)\n\n\ts := gr4vy.New(\n\t\tgr4vy.WithID(\"mattilda\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentMethods.List(ctx, operations.ListPaymentMethodsRequest{})\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\nuse Gr4vy\\Auth;\n\n \n$privateKey = \"...\"; \n\n$sdk = Gr4vy\\SDK::builder()\n -\\u003esetId('mattilda')\n -\\u003esetServer('sandbox')\n -\\u003esetSecuritySource(Auth::withToken($privateKey))\n -\\u003esetMerchantAccountId('default')\n -\\u003ebuild();\n\n$request = new Gr4vy\\ListPaymentMethodsRequest();\n\n$responses = $sdk->paymentMethods->list(\n request: $request\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport java.lang.Exception;\nimport com.gr4vy.sdk.BearerSecuritySource;\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.Gr4vy.AvailableServers;\nimport org.openapis.openapi.models.errors.*;\nimport org.openapis.openapi.models.operations.ListPaymentMethodsRequest;\nimport org.openapis.openapi.models.operations.ListPaymentMethodsResponse;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"mattilda\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n ListPaymentMethodsRequest req = ListPaymentMethodsRequest.builder()\n .build();\n\n sdk.paymentMethods().list()\n .request(req)\n .callAsStream()\n .forEach((ListPaymentMethodsResponse item) -> {\n // handle page\n });\n\n }\n}"}],"method":"get","type":"path","servers":["186798d6-ee7d-4207-abf7-742461009e5f","53a9a540-fa31-45ff-85ed-d97230ea1243"],"security":["226b6aec-2806-4148-978f-f7b80b7bb3c6"],"path":"/payment-methods","baseUrlOptions":["https://api.sandbox.mattildapayments.com","https://api.mattildapayments.com"],"title":"List all payment methods","codeSamples":[{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"mattilda\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentMethodsRequest req = new ListPaymentMethodsRequest() {};\n\nListPaymentMethodsResponse? res = await sdk.PaymentMethods.ListAsync(req);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"},{"label":"Typescript","lang":"typescript","source":"import { Gr4vy } from \"@gr4vy/sdk\";\n\nconst gr4vy = new Gr4vy({\n server: \"sandbox\",\n id: \"mattilda\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentMethods.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy, auth\nimport os\n\n\nwith Gr4vy(\n id=\"mattilda\",\n server=\"production\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payment_methods.list(limit=20)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"os\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n privateKey := \"....\"\n\twithToken := gr4vy.WithToken(privateKey, []JWTScope{ReadAll, WriteAll}, 60)\n\n\ts := gr4vy.New(\n\t\tgr4vy.WithID(\"mattilda\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentMethods.List(ctx, operations.ListPaymentMethodsRequest{})\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\nuse Gr4vy\\Auth;\n\n \n$privateKey = \"...\"; \n\n$sdk = Gr4vy\\SDK::builder()\n -\\u003esetId('mattilda')\n -\\u003esetServer('sandbox')\n -\\u003esetSecuritySource(Auth::withToken($privateKey))\n -\\u003esetMerchantAccountId('default')\n -\\u003ebuild();\n\n$request = new Gr4vy\\ListPaymentMethodsRequest();\n\n$responses = $sdk->paymentMethods->list(\n request: $request\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport java.lang.Exception;\nimport com.gr4vy.sdk.BearerSecuritySource;\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.Gr4vy.AvailableServers;\nimport org.openapis.openapi.models.errors.*;\nimport org.openapis.openapi.models.operations.ListPaymentMethodsRequest;\nimport org.openapis.openapi.models.operations.ListPaymentMethodsResponse;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"mattilda\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n ListPaymentMethodsRequest req = ListPaymentMethodsRequest.builder()\n .build();\n\n sdk.paymentMethods().list()\n .request(req)\n .callAsStream()\n .forEach((ListPaymentMethodsResponse item) -> {\n // handle page\n });\n\n }\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","typescript"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"82bad8d8-95cb-4090-9ebc-f89378656a81":{"name":"cursor","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"A pointer to the page of results to return."},"6e8155e2-c09c-451f-a007-aded7e55d2de":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"The maximum number of items that are at returned.","examples":[20],"default":20,"title":"Limit","isRequired":false,"uniqueKey":"","typeLabel":"integer"},"description":"The maximum number of items that are at returned."},"d3f847e5-1647-4b85-b8b6-50f6ba6c92e6":{"name":"buyer_id","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Buyer Id","description":"The ID of the buyer to filter payment methods by.","format":"uuid","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Buyer Id","description":"The ID of the buyer to filter payment methods by.","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cuuid> | null"},"description":"The ID of the buyer to filter payment methods by."},"272a9b17-399f-45f0-ad08-9669373e1e26":{"name":"buyer_external_identifier","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Buyer External Identifier","description":"The external identifier of the buyer to filter payment methods by.","example":"buyer-12345","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Buyer External Identifier","description":"The external identifier of the buyer to filter payment methods by.","example":"buyer-12345","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The external identifier of the buyer to filter payment methods by."},"eb48a95c-6476-450e-9541-8cc97bdf6f3a":{"name":"status","in":"query","required":false,"schema":{"oneOf":[{"type":"array","items":{"type":"string","enum":["processing","buyer_approval_required","succeeded","failed","paused"],"title":"PaymentMethodStatus","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","uniqueKey":"oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"title":"Status","uniqueKey":"oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","title":"Status","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>[] | null"}},"91806d2e-d084-43f8-8bc1-d73c8713fda0":{"name":"external_identifier","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"External Identifier","description":"The external identifier of the payment method to filter by.","example":"payment-method-12345","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"The external identifier of the payment method to filter by.","example":"payment-method-12345","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The external identifier of the payment method to filter by."},"b9311900-850e-483c-818d-306d453f1581":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchantAccountId"}},"responses":{"5a37b15f-c456-44ee-a836-8a3ca16e311a":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"method":{"type":"string","enum":["card","oxxo","spei","pse","tapi","tapifintechs"],"title":"Method","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The type of this payment method.","examples":["card"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].method","typeLabel":"enum\u003cstring>"},"id":{"type":"string","format":"uuid","title":"Id","description":"The ID for the payment method.","examples":["ef9496d8-53a5-4aad-8ca2-00eb68334389"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"merchant_account_id":{"type":"string","title":"Merchant Account Id","description":"The ID of the merchant account this buyer belongs to.","examples":["default"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_account_id","typeLabel":"string"},"cit_usage_count":{"type":"integer","title":"Cit Usage Count","description":"The number of times this payment method has been used in transactions for client initiated transactions.","examples":[50],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cit_usage_count","typeLabel":"integer"},"has_replacement":{"type":"boolean","title":"Has Replacement","description":"Whether this card has a pending replacement that hasn't been applied yet.","examples":[false],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].has_replacement","typeLabel":"boolean"},"usage_count":{"type":"integer","title":"Usage Count","description":"The number of times this payment method has been used in transactions.","examples":[100],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].usage_count","typeLabel":"integer"},"status":{"type":"string","enum":["processing","buyer_approval_required","succeeded","failed","paused"],"title":"PaymentMethodStatus","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The state of the payment method.","examples":["succeeded"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date and time when this payment method was first created in our system.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"The date and time when this payment method was last updated in our system.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"type":{"type":"string","const":"payment-method","title":"Type","description":"Always `payment-method`.","default":"payment-method","examples":["payment-method"],"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"approval_url":{"oneOf":[{"type":"string","title":"Approval Url","description":"The optional URL that the buyer needs to be redirected to to further authorize their payment.","example":"https://gr4vy.app/redirect/12345","uniqueKey":"\\items.items.[INDEX].approval_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Approval Url","description":"The optional URL that the buyer needs to be redirected to to further authorize their payment.","example":"https://gr4vy.app/redirect/12345","uniqueKey":"\\items.items.[INDEX].approval_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].approval_url","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The 2-letter ISO code of the country this payment method can be used for. If this value is null the payment method may be used in multiple countries.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"\\items.items.[INDEX].country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The 2-letter ISO code of the country this payment method can be used for. If this value is null the payment method may be used in multiple countries.","example":"US","uniqueKey":"\\items.items.[INDEX].country.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].country","typeLabel":"string | null"},"currency":{"oneOf":[{"type":"string","title":"Currency","description":"The ISO-4217 currency code that this payment method can be used for. If this value is null the payment method may be used for multiple currencies.","pattern":"^[A-Z]{3}$","example":"MXN","uniqueKey":"\\items.items.[INDEX].currency.oneOf.0","typeLabel":"string"},{"type":"null","title":"Currency","description":"The ISO-4217 currency code that this payment method can be used for. If this value is null the payment method may be used for multiple currencies.","example":"MXN","uniqueKey":"\\items.items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].currency","typeLabel":"string | null"},"details":{"oneOf":[{"type":"object","title":"PaymentMethodDetailsCard","description":"Details for credit or debit card payment method.","properties":{"bin":{"oneOf":[{"type":"string","title":"Bin","maxLength":8,"minLength":6,"pattern":"^\\d+$","uniqueKey":"\\items.items.[INDEX].details.oneOf.0.bin.oneOf.0","typeLabel":"string"},{"type":"null","title":"Bin","uniqueKey":"\\items.items.[INDEX].details.oneOf.0.bin.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].details.oneOf.0.bin","typeLabel":"string | null"},"card_type":{"oneOf":[{"type":"string","title":"CardType","enum":["credit","debit","prepaid"],"x-speakeasy-unknown-values":"allow","uniqueKey":"\\items.items.[INDEX].details.oneOf.0.card_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"\\items.items.[INDEX].details.oneOf.0.card_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].details.oneOf.0.card_type","typeLabel":"enum\u003cstring> | null"},"card_issuer_name":{"oneOf":[{"type":"string","title":"Card Issuer Name","uniqueKey":"\\items.items.[INDEX].details.oneOf.0.card_issuer_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Card Issuer Name","uniqueKey":"\\items.items.[INDEX].details.oneOf.0.card_issuer_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].details.oneOf.0.card_issuer_name","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].details.oneOf.0","typeLabel":"PaymentMethodDetailsCard · object"},{"type":"null","description":"Details for credit or debit card payment method.","uniqueKey":"\\items.items.[INDEX].details.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].details","typeLabel":"PaymentMethodDetailsCard · object | null"},"expiration_date":{"oneOf":[{"type":"string","title":"Expiration Date","description":"The expiration date for the payment method.","maxLength":5,"minLength":5,"pattern":"^\\d{2}/\\d{2}$","example":"12/30","uniqueKey":"\\items.items.[INDEX].expiration_date.oneOf.0","typeLabel":"string"},{"type":"null","title":"Expiration Date","description":"The expiration date for the payment method.","example":"12/30","uniqueKey":"\\items.items.[INDEX].expiration_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].expiration_date","typeLabel":"string | null"},"fingerprint":{"oneOf":[{"type":"string","title":"Fingerprint","description":"The unique hash derived from the payment method identifier (e.g. card number).","example":"a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4","uniqueKey":"\\items.items.[INDEX].fingerprint.oneOf.0","typeLabel":"string"},{"type":"null","title":"Fingerprint","description":"The unique hash derived from the payment method identifier (e.g. card number).","example":"a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4","uniqueKey":"\\items.items.[INDEX].fingerprint.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].fingerprint","typeLabel":"string | null"},"label":{"oneOf":[{"type":"string","title":"Label","description":"A label for the card or the account. For a card it is the last 4 digits of the card.","maxLength":320,"minLength":0,"example":"1234","uniqueKey":"\\items.items.[INDEX].label.oneOf.0","typeLabel":"string"},{"type":"null","title":"Label","description":"A label for the card or the account. For a card it is the last 4 digits of the card.","example":"1234","uniqueKey":"\\items.items.[INDEX].label.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].label","typeLabel":"string | null"},"last_replaced_at":{"oneOf":[{"type":"string","title":"Last Replaced At","description":"The date and time when this card was last replaced by the account updater.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].last_replaced_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Last Replaced At","description":"The date and time when this card was last replaced by the account updater.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].last_replaced_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].last_replaced_at","typeLabel":"string\u003cdate-time> | null"},"mode":{"oneOf":[{"type":"string","title":"Mode","description":"The mode to use with this payment method.","enum":["card","redirect","applepay","googlepay","checkout-session","click-to-pay","gift-card"],"x-speakeasy-unknown-values":"allow","example":"card","uniqueKey":"\\items.items.[INDEX].mode.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The mode to use with this payment method.","example":"card","uniqueKey":"\\items.items.[INDEX].mode.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].mode","typeLabel":"enum\u003cstring> | null"},"scheme":{"oneOf":[{"type":"string","title":"CardScheme","description":"The scheme of the card. Only applies to card payments.","enum":["accel","amex","bancontact","carte-bancaire","cirrus","culiance","dankort","diners-club","discover","eftpos-australia","elo","hipercard","jcb","maestro","mastercard","mir","nyce","other","pulse","rupay","star","uatp","unionpay","visa"],"x-speakeasy-unknown-values":"allow","example":"visa","uniqueKey":"\\items.items.[INDEX].scheme.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The scheme of the card. Only applies to card payments.","example":"visa","uniqueKey":"\\items.items.[INDEX].scheme.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].scheme","typeLabel":"enum\u003cstring> | null"},"additional_schemes":{"oneOf":[{"type":"array","items":{"type":"string","enum":["accel","amex","bancontact","carte-bancaire","cirrus","culiance","dankort","diners-club","discover","eftpos-australia","elo","hipercard","jcb","maestro","mastercard","mir","nyce","other","pulse","rupay","star","uatp","unionpay","visa"],"title":"CardScheme","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","uniqueKey":"\\items.items.[INDEX].additional_schemes.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"title":"Additional Schemes","description":"Additional schemes of the card besides the primary scheme. Only applies to card payment methods.","example":["eftpos-australia"],"uniqueKey":"\\items.items.[INDEX].additional_schemes.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","title":"Additional Schemes","description":"Additional schemes of the card besides the primary scheme. Only applies to card payment methods.","example":["eftpos-australia"],"uniqueKey":"\\items.items.[INDEX].additional_schemes.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].additional_schemes","typeLabel":"enum\u003cstring>[] | null"},"cit_last_used_at":{"oneOf":[{"type":"string","title":"Cit Last Used At","description":"The timestamp when this payment method was last used in a transaction for client initiated transactions.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].cit_last_used_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Cit Last Used At","description":"The timestamp when this payment method was last used in a transaction for client initiated transactions.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].cit_last_used_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cit_last_used_at","typeLabel":"string\u003cdate-time> | null"},"last_used_at":{"oneOf":[{"type":"string","title":"Last Used At","description":"The timestamp when this payment method was last used in a transaction.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].last_used_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Last Used At","description":"The timestamp when this payment method was last used in a transaction.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].last_used_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].last_used_at","typeLabel":"string\u003cdate-time> | null"},"buyer":{"oneOf":[{"type":"object","title":"Buyer","description":"The optional buyer for which this payment method has been stored.","required":["merchant_account_id","created_at","updated_at"],"properties":{"merchant_account_id":{"type":"string","title":"Merchant Account Id","description":"The ID of the merchant account this buyer belongs to.","examples":["default"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.merchant_account_id","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date this buyer was created at.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"The date this buyer was last updated at.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.updated_at","typeLabel":"string\u003cdate-time>"},"type":{"type":"string","const":"buyer","title":"Type","description":"Always `buyer`.","default":"buyer","examples":["buyer"],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.type","typeLabel":"string"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the buyer.","format":"uuid","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the buyer.","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.id","typeLabel":"string\u003cuuid> | null"},"display_name":{"oneOf":[{"type":"string","title":"Display Name","description":"The display name for the buyer.","maxLength":200,"minLength":1,"example":"John Doe","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.display_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Display Name","description":"The display name for the buyer.","example":"John Doe","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.display_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.display_name","typeLabel":"string | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"The merchant identifier for this buyer.","maxLength":200,"minLength":1,"example":"buyer-12345","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"The merchant identifier for this buyer.","example":"buyer-12345","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.external_identifier","typeLabel":"string | null"},"billing_details":{"oneOf":[{"type":"object","title":"BillingDetails","description":"The billing name, address, email, and other fields for this buyer.","properties":{"first_name":{"oneOf":[{"type":"string","title":"First Name","description":"The first name(s) or given name for the buyer.","maxLength":255,"minLength":1,"example":"John","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","description":"The first name(s) or given name for the buyer.","example":"John","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","description":"The last name, or family name, of the buyer.","maxLength":255,"minLength":1,"example":"Doe","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","description":"The last name, or family name, of the buyer.","example":"Doe","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.last_name","typeLabel":"string | null"},"email_address":{"oneOf":[{"type":"string","title":"Email Address","description":"The email address for the buyer.","maxLength":320,"minLength":1,"example":"john@example.com","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.email_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Email Address","description":"The email address for the buyer.","example":"john@example.com","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.email_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.email_address","typeLabel":"string | null"},"phone_number":{"oneOf":[{"type":"string","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","pattern":"^\\+[1-9]\\d{1,14}$","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.phone_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.phone_number","typeLabel":"string | null"},"address":{"oneOf":[{"type":"object","title":"Address","description":"The billing address for the buyer.","properties":{"city":{"oneOf":[{"type":"string","title":"City","description":"The city for the address.","maxLength":100,"minLength":1,"example":"San Jose","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","description":"The city for the address.","example":"San Jose","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The country for the address in ISO 3166 format.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The country for the address in ISO 3166 format.","example":"US","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","description":"The postal code or zip code for the address.","maxLength":50,"minLength":1,"example":"94560","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","description":"The postal code or zip code for the address.","example":"94560","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","description":"The state, county, or province for the address.","maxLength":255,"minLength":1,"example":"California","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","description":"The state, county, or province for the address.","example":"California","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"state_code":{"oneOf":[{"type":"string","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","pattern":"^[A-Z]{2}-[A-Z0-9]{1,3}$","example":"US-CA","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","example":"US-CA","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code","typeLabel":"string | null"},"house_number_or_name":{"oneOf":[{"type":"string","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","maxLength":255,"minLength":1,"example":"10","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","example":"10","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name","typeLabel":"string | null"},"line1":{"oneOf":[{"type":"string","title":"Line1","description":"The first line of the address.","maxLength":255,"minLength":1,"example":"Stafford Appartments","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","description":"The first line of the address.","example":"Stafford Appartments","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","description":"The second line of the address.","maxLength":255,"minLength":1,"example":"29th Street","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","description":"The second line of the address.","example":"29th Street","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","title":"Organization","description":"The optional name of the company or organisation to add to the address.","maxLength":255,"minLength":1,"example":"Gr4vy","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organization","description":"The optional name of the company or organisation to add to the address.","example":"Gr4vy","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0","typeLabel":"Address · object"},{"type":"null","description":"The billing address for the buyer.","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.address","typeLabel":"Address · object | null"},"tax_id":{"oneOf":[{"type":"object","title":"TaxId","description":"The tax ID information associated with the billing details.","required":["value","kind"],"properties":{"value":{"type":"string","maxLength":50,"minLength":1,"title":"Value","description":"The tax ID for the buyer.","examples":["12345678931"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0.value","typeLabel":"string"},"kind":{"type":"string","enum":["co.itin","co.nit","mx.curp","mx.rfc","pe.ruc"],"title":"TaxIdKind","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The kind of tax ID","examples":["mx.rfc"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0.kind","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0","typeLabel":"TaxId · object"},{"type":"null","description":"The tax ID information associated with the billing details.","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0.tax_id","typeLabel":"TaxId · object | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.0","typeLabel":"BillingDetails · object"},{"type":"null","description":"The billing name, address, email, and other fields for this buyer.","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.billing_details","typeLabel":"BillingDetails · object | null"},"account_number":{"oneOf":[{"type":"string","title":"Account Number","description":"The buyer account number","maxLength":200,"minLength":1,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.account_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Account Number","description":"The buyer account number","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.account_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0.account_number","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].buyer.oneOf.0","typeLabel":"Buyer · object"},{"type":"null","description":"The optional buyer for which this payment method has been stored.","uniqueKey":"\\items.items.[INDEX].buyer.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].buyer","typeLabel":"Buyer · object | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"The merchant reference that can be used to match the payment method against your own records.","maxLength":200,"minLength":1,"example":"card-12345","uniqueKey":"\\items.items.[INDEX].external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"The merchant reference that can be used to match the payment method against your own records.","example":"card-12345","uniqueKey":"\\items.items.[INDEX].external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].external_identifier","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["method","id","merchant_account_id","cit_usage_count","has_replacement","usage_count","status","created_at","updated_at"],"title":"PaymentMethod","description":"Payment Method\n\nA stored payment method.","uniqueKey":"\\items.items.[INDEX]","typeLabel":"PaymentMethod · object"},"type":"array","title":"Items","description":"A list of items returned for this request.","isRequired":true,"uniqueKey":"\\items","typeLabel":"PaymentMethod · object[]"},"limit":{"type":"integer","maximum":100,"minimum":1,"title":"Limit","description":"The number of items for this page.","default":20,"examples":[20],"uniqueKey":"limit","typeLabel":"integer"},"next_cursor":{"oneOf":[{"type":"string","title":"Next Cursor","description":"The cursor pointing at the next page of items.","maxLength":1000,"minLength":1,"example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Next Cursor","description":"The cursor pointing at the next page of items.","example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"next_cursor","typeLabel":"string | null"},"previous_cursor":{"oneOf":[{"type":"string","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","maxLength":1000,"minLength":1,"example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"previous_cursor","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["items"],"title":"PaymentMethods","uniqueKey":"","typeLabel":"PaymentMethods · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"method":"card","id":"ef9496d8-53a5-4aad-8ca2-00eb68334389","merchant_account_id":"default","cit_usage_count":50,"has_replacement":false,"usage_count":100,"status":"succeeded","created_at":"2013-07-16T19:23:00.000+00:00","updated_at":"2013-07-16T19:23:00.000+00:00","type":"payment-method","approval_url":"https://gr4vy.app/redirect/12345","country":"US","currency":"MXN","details":{"bin":"\u003cstring>","card_type":"credit","card_issuer_name":"\u003cstring>"},"expiration_date":"12/30","fingerprint":"a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4","label":"1234","last_replaced_at":"2013-07-16T19:23:00.000+00:00","mode":"card","scheme":"visa","additional_schemes":["eftpos-australia"],"cit_last_used_at":"2013-07-16T19:23:00.000+00:00","last_used_at":"2013-07-16T19:23:00.000+00:00","buyer":{"merchant_account_id":"default","created_at":"2013-07-16T19:23:00.000+00:00","updated_at":"2013-07-16T19:23:00.000+00:00","type":"buyer","id":"fe26475d-ec3e-4884-9553-f7356683f7f9","display_name":"John Doe","external_identifier":"buyer-12345","billing_details":{"first_name":"John","last_name":"Doe","email_address":"john@example.com","phone_number":"+1234567890","address":{"city":"San Jose","country":"US","postal_code":"94560","state":"California","state_code":"US-CA","house_number_or_name":"10","line1":"Stafford Appartments","line2":"29th Street","organization":"Gr4vy"},"tax_id":{"value":"12345678931","kind":"mx.rfc"}},"account_number":"\u003cstring>"},"external_identifier":"card-12345"}],"limit":20,"next_cursor":"ZXhhbXBsZTE","previous_cursor":"Xkjss7asS"}}},"exampleType":"generated"}},"exampleType":"generated"},"e618f45d-0763-4ae2-bd24-2905c67094b8":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"6deab0b2-deea-4c75-9b45-0fc678cb23bc":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"ec9145b0-6e9d-45e1-a06e-11f7a32e558e":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"1ddf7a8d-643b-4895-9e28-b2728ea29d73":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"25d22310-1d95-45ba-9a62-0c333824d9e9":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"2870f2a6-a3a1-40b9-a6af-aa20e24e1614":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"4f46c7ef-29cd-4f8a-8932-5305e9a6a3c3":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"d8340b5a-59d0-41cf-8b17-92e8ce9c677b":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"f18996a5-80b2-48b3-a46b-1e3bab544e5d":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"92dabc32-f42b-4809-8a1c-4851575d6bf8":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"fb64a5af-bf18-41e7-a616-963087e55290":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_gateway`","default":"bad_gateway","examples":["bad_gateway"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `502`.","default":502,"examples":[502],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error502","uniqueKey":"","typeLabel":"Error502 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_gateway","status":502,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"0b35abcd-5512-419c-82a7-07e09efd5ed3":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `gateway_timeout`","default":"gateway_timeout","examples":["gateway_timeout"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","default":504,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error504","uniqueKey":"","typeLabel":"Error504 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"gateway_timeout","status":504,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"226b6aec-2806-4148-978f-f7b80b7bb3c6":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"186798d6-ee7d-4207-abf7-742461009e5f":{"url":"https://api.sandbox.mattildapayments.com","x-speakeasy-server-id":"sandbox"},"53a9a540-fa31-45ff-85ed-d97230ea1243":{"url":"https://api.mattildapayments.com","x-speakeasy-server-id":"production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.speakeasy.json"},"subdomain":"mattilda","siteName":"mattilda Pay","title":"List all payment methods - mattilda Pay","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-08-13T00:05:36.936Z","originalFileLocation":"reference/payment-methods/list-payment-methods.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List all stored payment method.\">\u003cmeta data-mint-head name=\"application-name\" content=\"mattilda Pay\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mattilda/OkS2-p2fdXqcdBmD/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List all payment methods - mattilda Pay\">\u003cmeta data-mint-head property=\"og:description\" content=\"List all stored payment method.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"mattilda Pay\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.mattildapayments.com/reference/payment-methods/list-payment-methods\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mattilda.mintlify.app/_mintlify/api/og/v2?division=Payment+methods\u0026amp;title=List+all+payment+methods\u0026amp;description=List+all+stored+payment+method.\u0026amp;theme=1bb22e23ee692bf7bb82e1f1\u0026amp;signature=4769d4857792366bdc033b7deaf96046c86236f6bc17b2cb5e781561887368dc\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List all payment methods - mattilda Pay\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List all stored payment method.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mattilda.mintlify.app/_mintlify/api/og/v2?division=Payment+methods\u0026amp;title=List+all+payment+methods\u0026amp;description=List+all+stored+payment+method.\u0026amp;them
[...]
